/* name		: meta-press.css
 * SPDX-FileCopyrightText: 2017-2020  Simon Descarpentries, simon /\ acoeuro [] com
 * SPDX-License-Identifier: GPL-3.0-only
 * date		: 2017-06, 2020-09
 */
/* latin & latin-ext */
@font-face {
	font-family: 'Amatic SC';
	font-style: normal;
	font-weight: 400;
	src: local('Amatic SC Regular'), local('AmaticSC-Regular'), url(font/AmaticSC-Regular.woff2) format('woff2');
	unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2212, U+2215, U+0100-024F, U+0259, U+1E00-1EFF, U+20A0-20AB, U+20AD-20CF, U+2C60-2C7F, U+A720-A7FF;
}
/* latin & latin-ext */
 @font-face {
	font-family: 'Amatic SC';
	font-style: bold;
	font-weight: 400;
	src: local('Amatic SC Bold'), local('AmaticSC-Bold'), url(../font/AmaticSC-Bold.woff2) format('woff2');
	unicode-range: U+0000-00FF, U+0131, U+0152-0153, U+02BB-02BC, U+02C6, U+02DA, U+02DC, U+2000-206F, U+2074, U+20AC, U+2122, U+2212, U+2215, U+0100-024F, U+0259, U+1E00-1EFF, U+20A0-20AB, U+20AD-20CF, U+2C60-2C7F, U+A720-A7FF;
}
:root {
	--dark-normal-background: black;
	--dark-frame-background: rgb(50,50,50);
	--light-normal-background: white;
	--light-frame-background: #F0F0F0;
	--mp-turquoise: #00D0C0;
	/* --mp-turquoise: #007969; */
	--mp-dark-turquoise: #007969;
	--background: var(--dark-normal-background);
	--turquoise-background: var(--mp-dark-turquoise);
	--dark-foreground: #DDD;
	--foreground: var(--dark-foreground);
	--frame-background: var(--dark-frame-background);
	--a-color: var(--mp-turquoise);
	--light-gray: #999;
	--dark-gray: #666;
	--mp-gray: var(--light-gray);
	--mp-other-gray: var(--dark-gray)
}
html, body {
	background: var(--background);
	color:var(--foreground);
	height:100vh;
	font-family: Sans, sans-serif
}
.container { min-height:81.5% }
a, .a {
	color: var(--a-color) /* !important */;
	text-decoration: none !important;
}
a:hover, .a:hover, .black_a:hover {
	cursor:pointer;
}
.pagination > li > a, .pagination > li > span {
	color: var(--a-color)
}
.black_a:hover {
	text-decoration:underline;
}
h1, .h1, h2, .h2{
	margin:0;
}
h3, .h3 {
	font-weight:normal;
	margin: 0.5ex 0
}
h1, .h1, h2, .h2, h3, .h3 {
	font-family:'Amatic SC', Sans, sans-serif;
}
h1, .h1 { font-size:800%; }
h2, .h2 { font-size:275%; color:gray; }
h3, .h3 { font-size:175%; }
/* h4, .h4 { font-size:125%; } */
h4, .h4, h5, .h5, h6, .h6 {
	margin-top: 0.5ex;
	margin-bottom: 0.5ex;
}
p, ul { margin:0 }
.bold {	font-weight: bold }
button {font-size:14px}
.btn {
	background-color:var(--background);
	box-shadow:1px 1px var(--mp-gray);
	padding:0 0.5ex;
	margin:0.5ex 0;
	display: inline-block;
	font-weight: normal;
	text-align: center;
	vertical-align: middle;
	touch-action: manipulation;
	cursor: pointer;
	background-image: none;
	border: 1px solid var(--turquoise-background);
	white-space: nowrap;
	font-size: 14px;
	line-height: 1.42857143;
	border-radius: 4px;
	user-select: none;
}
/* .hide { --> use directly .style.display = 'none';
	display:none;
} */
/**	Override Bootstrap's default container. **/
/* @media (min-width: 1200px) { .container { width: 970px; } } */
/**	Masthead for nav */
.blog-masthead {
	background-color: var(--turquoise-background);
	-webkit-box-shadow: inset 0 -2px 5px rgba(0,0,0,.1);
	box-shadow: inset 0 -2px 5px rgba(0,0,0,.1);
}
#meta_press_logo, .center_content {text-align:center}
.big {text-size:150%}
/**	Nav links * */
.blog-nav-item {
	position: relative;
	display: inline-block;
	padding: 10px;
	/*color:black !important;*/
	color:var(--foreground)!important;
	font-family:'Amatic SC', Sans, sans-serif;
	font-weight:bold;
	font-size:20px;
}
#tooltips_help:hover ~ span {
	display:inline!important;
	color:black !important;
}
.blog-nav .drop_btn {
	padding: 2px;
	margin: 2px;
	top: 1ex;
	font-size: small;
	margin-left: 0.5ex;
}
.blog-nav .drop_display {
	display: block;
	position: relative;
	z-index: 999;
	background-color: var(--frame-background);
	display: flex;
	flex-direction: column;
	padding: 1ex;
	border-radius: 4px;
	left: 3ex;
}
/* #mp_import_RSS:hover,
#mp_import_JSON:hover,
#mp_import_ATOM:hover {
} */
.blog-nav {
	display: inline-flex;
	width: 100%;
	justify-content: space-between;
}
#mp_import_RSS { padding-right:0; }
#mp_import_JSON, #mp_import_ATOM, #mp_import_CSV, .no_padding { padding:0!important; }
/**	Active state gets a caret at the bottom **/
.blog-nav .active,
.blog-nav-item:focus {
	font-weight:bold !important;
	color:black !important;
}
.blog-nav .active:after {
	position: absolute;
	bottom: 0;
	left: 50%;
	width: 0;
	height: 0;
	margin-left: -5px;
	vertical-align: middle;
	content: " ";
	border-right: 5px solid transparent;
	border-bottom: 5px solid;
	border-left: 5px solid transparent;
}
/**	Blog name and description **/
#headlines {
	padding:1ex;
	border-left:solid 1px var(--foreground);
	border-bottom:solid 1px var(--foreground);
	border-radius: 5px;
	height:24ex;
}
#load_headlines { float:right; }
#headlines .list { margin-bottom:1ex; }
#headlines .pagination { clear:both; }
#purges_c_src {
	margin-right: 1ex;
}
.blog-title {
	margin-bottom: -0.4ex;
	font-weight: bold;
}
.blog-description {
	font-weight: normal;
	color: var(--mp-gray);
	margin-bottom:0.25ex;
}
#headlines ul {
	float:left;
	padding:0;
	max-width:100%;
}
/* .f_icon {float} */
#mp_headlines_page_sizes {
	clear:both;
	color: var(--mp-gray);
	width:100%;
	text-align:right;
}
/**	Main column and sidebar layout **/
.blog-main {
	font-size: 18px;
	line-height: 1.5; }
/* Sidebar modules for boxing content */
.sidebar-module { padding: 15px; }
.sidebar-module-inset {
	padding: 1ex;
	padding-top: 1em;
	background-color: var(--frame-background);
	border: 1px solid #D0D0D0;
	border-radius: 4px; }
.sidebar-module-inset p:last-child,
.sidebar-module-inset ul:last-child,
.sidebar-module-inset ol:last-child {
	margin-bottom: 0; }
/* Select */
.has-no-choices, .has-no-results, .choices__item--choice::after{
	display: none;
}
.choices__list--dropdown .choices__item--selectable {
	padding-right: 0 !important;
	font-size: 15px !important;
	font-weight: bold !important;
}
.choices__inner{
	padding: 5px 5px 2.5px !important;
}
.choices__inner, .choices__input, .choices__list{
	background-color: var(--frame-background) !important;
}
.is-disabled .choices__inner {
	cursor: not-allowed !important;
	border: dashed 1px black;
}
.choices__list--dropdown {z-index: 10 !important;}
.choices__list--dropdown .choices__item--selectable.is-highlighted {
	background-color: var(--mp-dark-turquoise) !important;
	color: var(--foreground);
}
.choices__list--multiple .choices__item{
	background-color: var(--mp-dark-turquoise) !important;
	border-color: var(--background) !important;
	color: --dark-foreground !important;
	padding: 0px 4px !important;
	font-size: 14px !important;
	border-radius: 5px !important;
	display:inline-flex !important;
}
.choices__button{
	border-left: 0 !important;
	background-size: 0 !important;
	padding: 0 !important;
	line-height: 0 !important;
	margin: 0 0 0 2px !important;
}
.choices__button::after{
	content: " ✖" !important;
	text-indent: 0 !important;
	display: block !important;
	line-height: initial !important;
}
input.choices__input{
	max-width: 23% !important;
}
.choices__item[aria-selected=true] small{display: none}
/* Pagination */
.pager {
	margin-bottom: 60px;
	text-align: left;
}
.pager > li > a {
	width: 140px;
	padding: 10px 20px;
	text-align: center;
	border-radius: 30px;
	color:black !important;
}
.pagination > li > a,
.pagination > li.disabled > a
{
	border-color:var(--turquoise-background);
	background-color:transparent;
}
.pagination > li > a:hover,
.pagination > li > a:focus,
.pagination .active a:hover,
.pagination .active a:focus,
.pagination .active a
{
	font-weight:bold;
	border-color:var(--turquoise-background);
	background-color:var(--turquoise-background);
	border-width:2px;
	color:black !important;
}
/**	Blog posts **/
.blog-post { margin-bottom: 60px }
.blog-post-title { margin-bottom: 5px; font-size: 40px }
.blog-post-meta {
	margin-bottom: 20px;
}

/**	Footer **/
.blog-footer {
	padding: 2em 0;
	color: var(--mp-gray);
	text-align: center;
	background-color: var(--frame-background);
	border-top: 1px solid #C0C0C0;}

.blog-footer p:last-child { margin-bottom: 0; }


/** Findings	**/
#mp_query, #mp_submit {
	font-size:20px;
	font-weight:bold;
	margin-bottom:0!important;
	margin-top:1em;
	box-sizing: border-box;
}
#mp_query::-moz-placeholder {
	font-style:italic;
	font-weight:normal;
	font-size:80%
}

#mp_query {
	width: 85%;
	padding: 10px;
	background: transparent;
	border-radius: 10px 0 0 10px;
	border: 1px solid var(--turquoise-background);
	box-shadow:0px 1px 1px 0px var(--mp-gray);
	height: 5ex;
}
@media only screen and (max-width: 445px) {
	#mp_query {
		width: calc(100% - 60px);
	}
	
	#mp_submit {
		min-width: 60px;
	}
}
#mp_submit {
	background-color: transparent;
	border-radius: 0 10px 10px 0;
	border: 2px solid var(--turquoise-background);
	box-shadow:1px 1px 1px 1px var(--mp-gray);
	width:15%;
	height: 5ex;
	color: #fff;
	float:right;
}
#mp_submit:hover, #save_custom_sources:hover {
	border:4px solid var(--turquoise-background)
}
#mp_submit[disabled] {
	background-color:lightgray !important;
	/* border:2px solid gray !important; */
	border: dashed 1px black;
}
#save_custom_sources {
	padding:1ex;
	margin:0 1ex 1ex 0;
	background-color:var(--mp-dark-turquoise);
	border-radius:4px;
	border:0px;
	color:white;
}
#mp_stop {
	margin-top:1ex;
}
#reset_custom_sources {
	margin-top:0;
}
#mp_stop, #reset_custom_sources {
	margin-right:1ex;
	margin-bottom: 1ex;
	margin-left:0;
	padding:0.5ex;
	background-color: var(--background);
	color: var(--foreground);
	border-radius: 5px;
}
.choices:after {
		content: '';
		height: 0;
		width: 0;
		border-style: solid;
		border-color: var(--foreground) transparent transparent transparent !important;
		border-width: 5px;
		position: absolute;
		right: 11.5px;
		top: 50%;
		margin-top: -2.5px;
		pointer-events: none;
	}
.choices.is-open:after {
		border-color: transparent transparent var(--foreground) transparent !important;
		margin-top: -7.5px;
	}
#mp_filter, #mp_clear_filter{
	margin-top:1em;
	margin-bottom:1.25ex;
	padding:1ex;
	background-color: var(--frame-background);
	border: 1px solid #D0D0D0;
}
#mp_clear_filter {
	border-radius: 0 4px 4px 0;
	margin-left:-0.5ex;
	color: var(--mp-gray);
	border-left:none;
	width:11%;
	float:right;
}
#mp_clear_filter:hover { color:red }
#mp_filter:focus {outline: none;}
#mp_filter {
	border-right:none;
	border-radius: 4px 0 0 4px;
	width:89%;
}
#mp_query_search_terms { font-weight:bold }
.img_RSS {
	max-width:2ex;
	vertical-align:sub;
	margin-right:0.5ex;
}
.list, .pagination { list-style-type:none }
.pagination { text-align: center }
.pagination li {
	display:inline-block;
	margin-right: 1ex;
}
.f_txt_wrapper {
	margin-top:-1ex;
}
.f_txt {
	margin-left:30px;
	text-align:justify;
	max-height:15ex;
	overflow-y:hidden;
	/*resize:vertical;*/ /* set by JavaScript only when elt isOverflown */
}
.f_txt:focus,
.f_txt:hover {
	max-height:100%;
	overflow:visible;
}
img.f_img[src=""]{ display:none !important; }
img.f_img {
	max-width:18ex;
	max-height:15ex;
	float:left;
	margin:0.5ex 1ex 0 30px;
	text-align:left;
	width:auto;
	height:auto
}
.f_txt .load_img {
	float:left;
	margin-right:1ex
}
#findings > ul.list > li { display:flow-root }
#result_list { margin-left:-40px }
.f_url { font-weight: bold }
.f_selection {
	display:none; /* re-init in js/meta-press.es:105 */
	/* kept here in case of JavaScript execution failure */
	/* bigger Checkboxes */
	-ms-transform: scale(1.5); /* IE */
	-moz-transform: scale(1.5); /* FF */
	-webkit-transform: scale(1.5); /* Safari and Chrome */
	-o-transform: scale(1.5); /* Opera */
	margin-left:0.5ex;
	float:left;
}
.mp_export_choices { display:none;float: right; }
.f_metadata {
	font-size:12px;
	color: var(--mp-gray);
	margin-left:30px;
	margin-top:-0.5ex;
	overflow:hidden;
	text-overflow:ellipsis;
	white-space:nowrap;
	display:inline-block;
	width:95%;
}
.f_by:not(:empty)::before,
.f_source:not(:empty)::after
{	content:" – " }
#no_results { text-align:center }
.mf_title { text-align:left; }
.mf_title, .mf_remove_source, .mf_ext_link, .mf_report {
	margin-top:0;
}

/* report */
.input_report {
	border-radius: 10px;
	border: 2px solid  var(--turquoise-background);
	background: transparent;
	box-shadow:1px 1px 1px 1px var(--mp-gray);
}

.popup {
	border-radius: 10px;
	border:  var(--turquoise-background) solid 0.2em;
	display: flex;
	flex-direction: column;
	position: fixed;
	position: inherit;
	background-color: transparent;
	padding: 25px;
	width: auto;
	max-width: 400px;
	margin: 0 auto;
}

.popup > div {
	margin-top: 0.5em;
	display: flex;
	justify-content: space-around;
}

#block_page {
	margin: inherit;
	z-index : 9999;
	display: block;
	position: fixed;
	top: 0;
	left: 0;
	height: 100vh;
	width: 100vw;
	opacity: 0.5;
	background-color: antiquewhite;
	margin: 0px;
}

#select_prob {
	color:var(--foreground);
	font-family: Sans, sans-serif
}
/* report */

.mf_ext_link[href=""] {
	display:none
}
.mf_name, #result_list h4 {
	text-overflow: ellipsis;
	overflow: hidden;
	white-space: nowrap;
	margin-top:1ex;
	margin-bottom:0;
}
.mf_nb {
	float:right;
	color:var(--foreground);
}
#mf_date_filters {list-style:none}
#mf_date_filters li { padding: 0 1ex }
#mf_date_filters li:hover {
	background-color: var(--frame-background) !important;
	border-color: #D0D0D0
}
#meta-findings {padding-right:0!important}
#meta-findings .toggle_float > .btn {
	float: right;
}
#meta-findings ul {padding:0}
#meta_search {
	display: none;
	justify-content: center;
	padding: 1ex;
}
#mp_meta_search, #mp_clear_search {
	padding: 0.5ex;
	border: 1px solid rgb(208, 208, 208);
	background-color: var(--frame-background);
}
#mp_meta_search {
	border-radius: 4px 0px 0px 4px;
	border-right: medium none;
	cursor: inherit;
	width: 80%;
}
#mp_clear_search {
	width: 10%;
	border-radius: 0px 4px 4px 0px;
}
.mf_dt_overflow,
.header-inner {
	text-overflow: ellipsis;
	overflow: hidden;
	white-space: nowrap;
	width:100%;
}
.src_name_overflow {
	width: 50%;
	/*float:left;*/
	overflow: hidden;
	white-space: nowrap;
	text-overflow:ellipsis;
}
#mp_export_results {
	padding: 1ex;
}
.menu_export {
	width: min-content;
	height: 0px;
	position: relative;
}
#date_range {justify-content: flex-end;}
#date_filter_sta, #date_filter_sto {
	margin-right: 1em;
	width: auto;
}
.mf_dt_filter {
	height:2em;
	align-items: center;
	display:none;
	border-radius: 4px;
}
.mf_dt_overflow {
	text-overflow: '';
	width:63%;
	direction:rtl;
	text-align:right;
}
.mf_dt_lbl {
	float:left;
	width:35%;
}
#mp_export_results {
	float:right;
	margin-bottom:1.25ex;
	padding:1ex;
	text-align:right;
}
.row {margin-right: 0 !important}
#search_stats {text-align:center}
.right {float:right}
#filter_sources {display:inline-block}
#tags_handle {
	font-family:sans-serif;
	margin: 0 9px 9px 9px;
}
.cur_tag_sel_nb {
	font-style:italic;
	color: var(--mp-gray);
	margin-left: 15px;
}
#reset_tag_sel, .add_auto_s, .add_src {font-style:normal}
.tags_col {padding-right:0 !important}
.red {color:red}
.error {color:red; background:#FFCCCC}
.valid {color:green; background:#CCFFCC}
.grey {color:grey}
.green {color:green}
.black {color:var(--foreground)}
b.black {font-size:120%;}
.CodeMirror, code {
	background-color: var(--frame-background) !important;
	height:330px!important
}
#cog_settings {
	float:right!important;
	/*padding:0!important;*/
}
#cog_settings:before {
	content:"⚙";
	/*font-size:200%!important;*/
	margin-right:0.33ex;
	line-height:2ex;
}
.loadersmall,
#waiting_anim {
	/* not used anymore */
	/* border: 5px solid #f3f3f3; */
	-webkit-animation: spin 2s linear infinite;
	animation: spin 2s linear infinite;
	border-top: 5px solid var(--turquoise-background);
	border-radius: 50%;
	width: 50px;
	height: 50px;
}
.center { margin: 0 auto }
/* Dev Tools */
#mp_dev{
	background: var (--mp-dark-turquoise);
	color: black;
}
#mp_goto_input {color:var(--turquoise-background)!important}
#mp_goto_input:focus {color:black!important}
/* Schedule Search */
#automatic_search table {border-collapse: collapse;}
#automatic_search tr td, #automatic_search tr th{
	border-bottom: 1px solid var(--foreground);
}
#automatic_search tr th:nth-of-type(2) { min-width:16ex }
#automatic_search tr th:nth-of-type(2) { min-width:16ex }
#automatic_search tr th:nth-of-type(3) { min-width:16ex }
#automatic_search tr th:nth-of-type(4) { min-width:36ex }
#automatic_search tr:last-child td{border-bottom:none}

#automatic_search td,#automatic_search th {
	padding: 5px 5px;
	text-align:center;
}
#automatic_search a {text-decoration:none;}
#automatic_search input, #automatic_search select {
	color: #000;
}
#automatic_search .duplicate img { margin-top:0.5ex}
#automatic_search .sch_sea_url {vertical-align:bottom !important}
#automatic_search button,
#automatic_search .sch_sea_url { height:24px!important}
#automatic_search .save_date:disabled {
	cursor: not-allowed !important;
	border: dashed 1px black;
}
/* Timezone settings */
#tz_p label{
	display: flex;
	flex-direction: row;
	align-items: center;
}
#welcome_h2 {margin-top:0.5ex}
#settings ~ p .choices {
	padding-left : 4px;
	width: 17em;
	margin-top: 4px;
}
#settings ~ p .choices__inner {
	min-height: 0 !important;
}
.liberapay-btn {
	background-color: #f6c915;
	border-radius: 4px;
	color: #1a171b;
	display: inline-block;
	font-family: Helvetica Neue,Helvetica,sans-serif;
	font-size: 14px;
	font-weight: 700;
	line-height: 22px;
	padding: 5px 7px 3px;
	position: relative;
	text-decoration: none;
}
.liberapay-btn:hover {
	background-color: #fbce1a;
}
.liberapay-btn > svg {
	position: absolute;
	left: 7px;
	top: 7px;
}
.liberapay-btn > span {
	margin-left: 19px;
	color: #1a171b;
}
.patreon_link {
	-moz-box-align: center;
	align-items: center;
	backface-visibility: hidden;
	background-color: rgb(255, 66, 77);
	border-radius: 9999px;
	border: 1px solid rgb(255, 66, 77);
	box-sizing: border-box;
	color: rgb(255, 255, 255) !important;
	cursor: pointer;
	display: inline-flex;
	font-size: 0.875rem !important;
	/* font-weight:bold; */
	font-weight: 700;
	height: unset;
	-moz-box-pack: center;
	justify-content: center;
	padding: 0.46875rem 1rem;
	position: relative;
	pointer-events: unset;
	text-align: center;
	text-decoration: none;
	text-transform: none;
	transition: all 300ms cubic-bezier(0.19, 1, 0.22, 1) 0s;
	user-select: none;
	white-space: unset;
}

/* TEST SOURCES */
#mp_display_result_test .btn_test {
	width: 25px;
	height: 25px;
	margin: 1px;
	border: solid 2px;
	border-radius: 3px;
}
#mp_display_result_test {
	display: flex;
	flex-wrap: wrap;
}
#mp_report a {
	text-decoration: none;
	padding: 5px;
	font-size: 20px;
	text-transform: uppercase;
}
#mp_display_result_test .success, #mp_report .success {
	color: green !important;
	background: none;
}
#mp_display_result_test .warn, #mp_report .warn {
	color:orange !important;
	background: none;
}
#mp_display_result_test .error, #mp_report .error {
	color:red !important;
	background: none;
}
#mp_display_result_test .no_result_error, #mp_report .no_result_error {
	color:purple !important;
	background: none;
}
#mp_display_result_test .default, #mp_report .default {
	color:grey !important;
	background: none;
}
.retro-test-result {
	border: solid 2px;
	padding: 5px;
	margin: 2px;
	border-radius: 5px;
	min-width: 10em;
	z-index: 1;
}
.btn-retro {
	background-color: #D0D0D0;
	border: solid var(--turquoise-background) 2px;
	border-radius: 5px;
	color: var(--turquoise-background);
	padding: 1ex;
	font-weight: bold;
}
/* REPORT TEST */
#mp_filter_report, #mp_clear_filter_report, #mp_search_filter_report {
	margin-top: 1em;
	margin-bottom: 1.25ex;
	padding: 1ex;
	background-color: var(--frame-background);
	border: 1px solid #D0D0D0;
}
#mp_filter_report:focus {outline: none;}
#mp_search_filter_report {
	width: 11%;
	border-left: none;
	border-right: none;
	margin-left: -0.5ex;
}
#mp_clear_filter_report {
	border-radius: 0 4px 4px 0;
	margin-left: -0.5ex;
	color: var(--mp-gray);
	border-left: none;
	width: 11%;
	float: right;
}
#mp_clear_filter_report:hover, #mp_search_filter_report:hover  { color:red }
#mp_filter_report  {
	border-right: none;
	border-radius: 4px 0 0 4px;
	width: 78.5%;
}
#mp_report{
	padding: 0;
}
#mp_report > * {
	background: var(--dark-frame-background);
}
#mp_report .result > *, #mp_report .btn_retest{
	border-left: 1px solid #D0D0D0;
	border-right: 1px solid #D0D0D0;
}
#mp_report .result > *{
	border-bottom: 1px solid #D0D0D0;
	border-radius: 0 0 4px 4px;
}
#mp_report .name_src_report{
	border: 1px solid #D0D0D0;
	border-bottom: none;
	border-radius: 4px 4px 0 0;
}
#mp_report h4, #mp_report img{
	font-size: 3rem;
	margin: 3px;
}
#mp_report .name_src_report {
	display: flex;
	justify-content:center;
	align-items: center;
}
#mp_report button{
	margin: auto;
	display: block;
}
#mp_report .result p{
	padding: 0 10px;
	text-transform: uppercase;
}
#mp_report .result button{
	background: var(--dark-frame-background);
	border: none;
	width: 100%;
	border: 1px solid #D0D0D0;
	border-radius: 0 0 4px 4px;
	display:flex;
	justify-content: space-between;
	align-items: center;
	font-size: 1.2em;
	font-weight: bold;
	text-transform: uppercase;
	padding: 5px 5px 0px 10px;
}
#mp_report .result > div {
	padding-top: 10px;
}
.triangle {
  width: 20px;
  height: 10px;
  border-top: solid 10px #D0D0D0;
  border-left: solid 10px transparent;
  border-right: solid 10px transparent;
}
/* Marin */
/* tooltips used when you wait source */
/* style CSS for tooltip find from : "https://www.w3schools.com/howto/howto_css_tooltip.asp" */
.tooltip {
  position: relative;
  display: inline-block;
  border-bottom: 1px dotted black; /* If you want dots under the hoverable text */
}
/* Tooltip text */
.tooltip .tooltip_text {

  visibility: hidden;
  width: 500px;
  background-color: #555;
  color: #fff;
  font-size: 20px;
  text-align: left;
  padding: 1em;
  border-radius: 6px;

  /* Position the tooltip text */
  position: absolute;
  z-index: 1;
  bottom: 125%;
  left: 50%;
  margin-left: -60px;

  /* Fade in tooltip */
  opacity: 0;
  transition: opacity 0.3s;
}
/* Tooltip arrow */
.tooltip .tooltip_text::after {
  content: "";
  position: absolute;
  top: 100%;
  left: 50%;
  margin-left: -5px;
  border-width: 5px;
  border-style: solid;
  border-color: #555 transparent transparent transparent;
}
/* Show the tooltip text when you mouse over the tooltip container */
.tooltip:hover .tooltip_text {
  visibility: hidden;
  opacity: 1;
}
/* just for text family */
.tooltip_text_family {
	font-family:sans-serif;
	font-size: 13px;
}
.running_button_src {
	display: none;
}
.running_button_src_text {
  visibility: hidden;
}
.first_new_result {
	border-top: solid;
	border-radius: 5px 5px 0px 0px;
}

.last_new_result {
	border-bottom: solid;
	border-radius: 0px 0px 5px 5px;
}

.new_result {
	border-color: --frame-background;
	border-right : solid;
	border-left: solid;
	padding: 5px;
}

#result_list li {
	padding: 10px;
} 

.choices__list--dropdown {
	top: unset !important;
	bottom: 100% !important;
}

.form_fieldset_base {
	display: none;
	margin : 20px 10px;
	border-radius: 10px;
	padding: 0.5em 1em;
	max-width: 95%;
}

.form_fieldset_base > legend {
	margin-left: 1em;
}

.form_fieldset_hide {
	height: 1px;
	overflow: hidden;
	white-space: nowrap;
}

.form_fieldset_hide > * {
	display: none !important;
}

.form_fieldset_hide > legend {
	display: inline !important;
}


.form_input_error {
	color: red;
	font-size: 13px;
	opacity: 0.75;
	margin: 0.25em 1em;
}

.form_input_text {
	padding: 1em;
	background: transparent;
	border-radius: 5px 5px;
	border: 1px solid var(--turquoise-background);
	border-width: 1px;
	border-left-width: 1ex;
	box-shadow:0px 1px 1px 0px var(--mp-gray);
	height: 30px;
	width: 50%;
	font-size:85%;
	margin-bottom:0!important;
	margin-top:1ex;
	box-sizing: border-box;
	color:var(--foreground);
	transition: border-width 0.1s;
	transition-timing-function: ease;
}
.form_input_text::-moz-placeholder {
	font-style:italic;
	font-weight:bold;
	font-size:85%
}

.form_input_text:focus {
	border-width: 3px;
	border-left-width: 1ex;
}

.form_input_text_reg {
	width: 25%;
	background-color: var(--background);
	margin-left: 0.25em; 
	margin-right: 0.25em; 
}


.form_required {
	border-left-width: 1ex !important;
	border-color: var(--turquoise-background) !important;
}

.form_mode_selected {
	border : 3px solid var(--a-color);
}



.form_required:hover {
	border-width: 3px;
	border-left-width: 1ex;
}

.form_warning {
	border-color: var(--light-gray) !important;
}

.form_input_warning {
	border-color: orange !important;
	border-width: 3px;
}

.form_input_required {
	border-color: red !important;
}

.form_text_info {
	color : orange;
	font-size: 13px;
	margin: 5px 2px;
}

.form_favicon {
	width : 30px;
	height : 30px;
	margin: 0px 0.25em;
	vertical-align: middle;
}
.form_icon_fieldset_show {
	display: inline-block;
	transform: rotate(270deg);
}

.form_icon_fieldset_hide {
	display: inline-block;
	transform: rotate(90deg);
}

#progress_bar{
	display: flex;
	justify-content: center;
}

#progress_bar_border {
	width:48ex;
	height:5ex;
	font-size:20px;
}

#progress_bar_border {
	
	width:48ex;
	height:1ex;
	font-size:20px;
	border-style: solid; 
	border-width: 1px;
	border-radius: 1em;
	background-color: transparent;
}

#progress_bar_gauge {
	font-size:20px;
	background-color:var(--turquoise-background);
	border-radius: 1em;
	height: 100%;
	width: 0%;
}

#progress_bar_text {
	margin-left: 1em;
	font-size: 13px;
}

.tech_search_system_user_choice {
	background-color: darkgray;
	padding : 5px;
}

.tech_accuracy_result_user_choice {
	background-color: darkgray;
	padding : 5px;
}

#sub_dom {
	padding: 1em;
	font-size: 10px;
	width: 85%;
	max-width: 100%;
	border-radius: 1em;
	margin: 1em auto;
}

#sub_dom * {
	width : auto ;
	overflow: hidden ;
	text-overflow: ellipsis;
	max-width: 100em ;
}


#sub_dom .sub_dom_show_div {
	margin: 1px !important;
	/*border: 2px solid black !important;*/
	padding: 1px !important;
}

#sub_dom div {
	padding : 2px;
}
/**
#sub_dom div:hover  {
	background-color: chocolate;
	border: 2px solid black !important;
}
*/

#sub_dom :not(div > :hover)  {
	background-color:unset;
	border: none !important;
}

#sub_dom img {
	max-width: 10%;
	max-height: 5%;
	text-align:left;
}
#sub_dom svg {
	display: none;
}

#sub_dom button {
	font-size: 10px;
}

#sub_dom a {
	color:lightgray !important;
}

#sub_dom a.disabled {
	pointer-events: none;
	cursor: default;
}

.form_content_sub_dom {
	display: inline-block;
	height: 75vh;
	background-color: darkgray;
	overflow: scroll;
	white-space: nowrap;
}

.form_current_selection_focus {
	border-color: red;
}

.form_selection_container {
	width: 85%;
	max-width: 85%;
	margin-top: 0.5em;
}

.form_selection_container_sub {
	padding-left: 1em;
}

.form_selection_text {
	display: inline-block;
	overflow: hidden;
	text-overflow: ellipsis;
	max-width: 20em;
	white-space: nowrap;
	vertical-align: middle;
}

.form_selection_body {
	background-color: darkred;
	border-color: darkred; 
}

.form_selection_body > * {
	margin: 1px !important;
	border: 2px solid black !important;
	padding: 1px !important;
}

.form_selection_body_input {
	border-color: darkred;
}

.form_selection_body_text {
	color: darkred;
}

.form_selection_results {
	background-color: darkcyan;
	border-color: darkcyan;
}

.form_selection_results > * {
	margin: 1px !important;
	border: 2px solid black !important;
	padding: 1px !important;
}

.form_selection_results_input {
	border-color: darkcyan;
}

.form_selection_results_text {
	color: darkcyan;
}

.form_selection_r_h1 {
	background-color: darkgoldenrod;
	border-color: darkgoldenrod;
}

.form_selection_r_h1 > * {
	margin: 1px !important;
	border: 2px solid black !important;
	padding: 1px !important;
}

.form_selection_r_h1_input {
	border-color: darkgoldenrod;
}

.form_selection_r_h1_text {
	color: darkgoldenrod;
}

.form_selection_r_url {
	background-color: darkgreen;
	border-color: darkgreen;
}

.form_selection_r_url > * {
	margin: 1px !important;
	border: 2px solid black !important;
	padding: 1px !important;
}

.form_selection_r_url_input {
	border-color: darkgreen;
}

.form_selection_r_url_text {
	color: darkgreen;
}

.form_selection_r_dt {
	background-color: darkkhaki;
	border-color: darkkhaki;
}

.form_selection_r_dt > * {
	margin: 1px !important;
	border: 2px solid black !important;
	padding: 1px !important;
}

.form_selection_r_dt_input {
	border-color: darkkhaki;
}

.form_selection_r_dt_text {
	color: darkkhaki;
}

.form_selection_r_txt {
	background-color: darkmagenta;
	border-color: darkmagenta;
}

.form_selection_r_txt > * {
	margin: 1px !important;
	border: 2px solid black !important;
	padding: 1px !important;
}

.form_selection_r_txt_input {
	border-color: darkmagenta;
}

.form_selection_r_txt_text {
	color: darkmagenta;
}

.form_selection_r_img {
	background-color: darkolivegreen;
	border-color: darkolivegreen;
}

.form_selection_r_img > * {
	margin: 1px !important;
	border: 2px solid black !important;
	padding: 1px !important;
}

.form_selection_r_img_input {
	border-color: darkolivegreen;
}

.form_selection_r_img_text {
	color: darkolivegreen;
}

.form_selection_r_by {
	background-color: darkorange;
	border-color: darkorange;
}

.form_selection_r_by > * {
	margin: 1px !important;
	border: 2px solid black !important;
	padding: 1px !important;
}

.form_selection_r_by_input {
	border-color: darkorange;
}

.form_selection_r_by_text {
	color: darkorange;
}

.form_selection_res_nb {
	background-color: darkorchid;
}

.form_selection_res_nb > * {
	margin: 1px !important;
	border: 2px solid black !important;
	padding: 1px !important;
}

.form_selection_res_nb_input {
	border-color: darkorchid;
}

.form_selection_res_nb_text {
	color: darkorchid;
}

.form_selection_input_btn {
	margin: 0px 0.25em;
}

#lang_id, #country_id, #tz_id {
	margin: 0.25em 1em;
	width: 95%;
}
  
#check_all_tz_id {
	margin-left: 1em;
	margin-top: 0.25em;
}

#check_all_tz_label {
	opacity: 0.75;
}

.choices {
	margin-bottom: 0px !important;
}

#part_timezone_title {
	margin-bottom : 1em; 
}

hr {
	margin-left: 0 !important;
}

#search_url_tips {
	margin-top: 0.5em;
	margin-left: 1em;
	opacity: 0.75;
	font-size: 13px
}

.form_input_tips {
	display: none;
	margin-top: 0.5em;
	margin-left: 1ex;
	opacity: 0.75;
	font-size: 13px;
	font-style: italic;
}

.input_container {
	display: block;
	max-width: 85%;
}

#part_path_selector_title {
	margin-bottom : 1em; 
}

#part_path_selector_tuto {
	margin: 0.5em 1em;
	opacity: 0.75;
}

#part_date_format_description {
	margin: 1em 0em;
}

#part_date_format_tuto {
	margin: 0em 2em;
}

#part_date_format_model_id {
	margin: 1em 0em;
}

#part_date_format_model {
	margin: 0em 1em;
}

#part_date_format_model_title {
	font-weight: bold;
}

#part_date_format_preview_id {
	margin: 1em 0em;
}

#part_date_format_preview {
	margin: 0em 1em;
}

#part_date_format_preview_title {
	font-weight: bold;
}

#part_date_format_preview_text {
	border: 1px solid var(--turquoise-background);
	border-radius: 5px;
	padding: 5px;
}

#part_date_format_success {
	margin: 0em 1em;
	margin-bottom: 0.5em; 
	color: green;
}

.form_part_date_format_input_content {
	background-color: var(--frame-background);
	border: 1px solid #ddd;
	border-radius: 2.5px;
	margin: 1em 1em;
}
.form_part_date_format_input_content input {
	margin-left: 5px;
	margin-right: 5px;
}

.form_list {
	width: 95%;
	margin:1em auto;
}


.form_item_list {

	margin-right: 3.75px;
	margin-bottom: 3.75px;
	border: 1px solid #00a5bb;
	color: #fff;
	box-sizing: border-box;
	background-color: var(--mp-dark-turquoise);
	border-color: var(--background);
	padding: 0px 4px;
	font-size: 15px;
	border-radius: 5px;
	display: inline-flex;
	cursor: pointer;
}

.form_item_placeholder {
	width: 100%;
	opacity: 0.5;
	list-style: none;
	font-size: 14px;
	margin-bottom: 0.5em;
	vertical-align: top;
}

.form_item_text {
	margin: 0.5ex 0.25ex;
	overflow: hidden;
	text-overflow:ellipsis;
	white-space:nowrap;
	display:inline-block;
	max-width: 10em;
}
.form_item_btn {
	margin: 0 1px;
	position: relative;
	display: inline;
	border-radius: 0;
	background-color: transparent;
	background-repeat: no-repeat;
	background-position: center;
	cursor: pointer;
	border: 0;
	opacity: 0.5;
	color: var(--background);
	transition: opacity 0.5s;
}

.form_item_btn:hover {
	opacity: 1;
}

.part_date_form_span_reg {
	margin-right: 1em;
}

#part_date_format_input_reg {
	width : 45%;
}
#part_date_format_input_pos {
	width : 45%;
}

#part_date_format_err {
	border-color: red;
	font-size: 13px;
	opacity: 0.75;
	margin: 0.25em 1em;
}

#part_date_format_btn_confirm {
	margin: 0.5em 0.5em;
}

#part_date_format_input_id  {
	margin: 1em 0.5em;
	width: auto;
	height: auto;
}

#part_date_format_input_id input, #part_date_format_input_id button {
	margin: 0 5px;
}

#part_date_format_list > li {
	margin : 0;
	margin-top: 1em;
}

#themes_title {
	margin-bottom: 1em;
}

#themes_user_btn_id {
	margin: 0.5em 1em;
}

#tech_search_system_user_input_id {
	margin: 0.5em;
}
#tech_accuracy_result_user_input_id{
	margin: 0.5em;
}

#part_tags_info_themes_id {
		margin: 1em 0em;
}

#part_tags_info_tech_search_system {
	margin: 1em 0em;
}

#part_tags_info_tech_accuracy_result {
	margin: 1em 0em;
}
/*
onglet
*/
.tab {
	background-color: var(--frame-background);
	border: solid var(--mp-dark-turquoise) 2px;
	border-radius: 4px 4px 0px 0px;
	border-bottom: none;
	margin-top: 1ex;
	width: max-content;
	display: inline-flex;
}
.tab > *:first-child {
	border-left: none
}
.tab > * {
	background-color: var(--frame-background);
	border: none;
	padding: 1ex;
}
.tab > span {
	border-left: solid var(--mp-dark-turquoise) 2px;
	height: 100%;
	padding: 0%;
	margin: 0%;
}
.tab > .select {
	font-weight: bold;
	font-size: large;
	background-color: var(--light-gray);
	border: solid var(--mp-dark-turquoise) 2px;
}
/*
list sources
*/
*.red_hover:hover {
	color: red !important;
}
.horizontal_pipe_border {
	border: solid var(--mp-dark-turquoise) 2px;
	border-right: none;
	border-left: none;
}
.vertical_pipe_border {
	border: solid var(--mp-dark-turquoise) 2px;
	border-top: none;
	border-bottom: none;
}
#list_src a, #list_src button {
	color: var(--foreground);
	text-decoration: none;
}
.search_v {
	display: inline-flex;
	width: 100%;
	background-color: var(--frame-background);
	border: solid var(--mp-dark-turquoise) 2px;
	border-radius: 0px 4px 0px 0px;
}
.search_input {
	flex: auto;
	background-color: var(--frame-background);
	border: none;
	border-right: solid var(--mp-dark-turquoise) 2px;
	padding: 1ex;
}
#mp_edit_v_src_search {
	background-color: var(--frame-background);
	border: none;
	border-right: solid var(--mp-dark-turquoise) 2px;
}
.clear_search {
	flex: initial;
	background-color: var(--frame-background);
	border: none;
	padding: 1ex;
}
#mp_v_sel, #mp_v_sel > button {
	background-color: var(--frame-background);
}
.selection_com {
	border-bottom: solid var(--mp-dark-turquoise) 2px;
}
.selection_com .red_hover {
	border: none;
	border-right: 2px solid var(--mp-dark-turquoise);
}
#list_src .list {
	width: 100%;
	background-color: var(--frame-background);
	border: solid var(--mp-dark-turquoise) 2px;
	border-top: none;
	border-radius: 0px 0px 4px 4px;
	padding: 0;
}
#list_src .list > .v_item {
	display: flex;
	flex-wrap: wrap;
	width: 100%;
	padding: 0.8ex;
}
#list_src_t > .list_tab > .src_item > div.v_list_item {
	flex: auto;
	display: flex;
	justify-content: space-around;
}
#list_src_t > .list_tab > .src_item > .info_src.v_list_item .v_list_item:first-child {
	min-width: 52%;
}
#list_src_t > .list_tab > .src_item > div.v_list_item .v_list_item {
	min-width: 12%;
	text-overflow: ellipsis;
	overflow: hidden;
	white-space: nowrap;
}
#list_src_t > .list_tab > .src_item .v_list_item {
	flex: initial;
	text-align: center;
	padding: 1ex 0.8ex 1ex 0.8ex;
}
#list_src_t > .list_tab > .src_item .btn {
	margin: 0px 0.5ex 0px 0.5ex;
	width: 3em;
	height: 2.5em;
}
#list_src_t > .list_tab > .src_item > .v_list_item:first-child {
	border-right: solid var(--turquoise-background) 2px;
}
#list_src_t > .list_tab > .src_item > .src_list_div {
	flex: auto;
}

#coll_list_t .v_list_item.coll_list_nom {
	width: 70%;
	margin-left: 1ex;
}
#coll_list_t .v_list_command {
	width: 25%;
	display: flex;
	justify-content: end;
}
#coll_list_t .v_list_command .btn {
	margin-left: 1ex;
	width: 3em;
	height: 2.5em;
}

.selected {
	background-color: var(--turquoise-background);
}
/*
Drop down.
*/
.drop_down_div {
	display: none;
	position: relative;
}
.up_btn {
	display: none;
}
/* export menu*/
#drop_down_export {
	display: flex;
	justify-content: end;
	justify-content: flex-end;
}
#drop_down_export > button {
	height: max-content;
	margin-right: 1ex;
}
#drop_down_export .drop_btn {
	margin-right: 0px;
}
.mp_export_choices > .btn {
	float: left;
	margin-right: 1ex;
}
#drop_down_export .drop_down_div {
	margin-left: 1ex;
}
#drop_down_export .drop_btn:focus-within, #export_choice .drop_btn:focus-within {
	border: none;
	margin: 0;
	padding: 0;
	width: 0%;
	height: 0%;
	font-size: 0%;
}
#drop_down_export .drop_btn:focus-within + .up_btn + .export_all, .export_all:hover {
	display: flex;
	flex-direction: column;
}
#drop_down_export .drop_btn:focus-within + .up_btn {
	display: block;
}
/* #drop_down_export .drop_down_div:hover {
	display: flex;
	flex-direction: column;
} */
#drop_down_export .drop_down_div:has(button:focus) {
	display: none;
}
#export_choice .drop_btn:focus-within + .up_btn + .export_all {
	display: flex;
	flex-direction: column;
}
#export_choice .drop_btn:focus-within + .up_btn {
	display: block;
}
/* #export_choice .drop_down_div:hover {
	display: flex;
	flex-direction: column;
} */
/*
test
*/
.grid_test {
	display: grid;
	grid-template-columns: 33% 33% 33%;
}
.column_2_test {
	grid-column-start: 1;
	grid-column-end: 3;
	align-self: start;
}
.column_1_test {
	grid-column-start: 3;
}

.sticky_item {
	align-self: start;
	position: sticky;
	top: 10px;
}

.search_test {
	position: sticky;
	top: 2px;
}

.column_1_test li {
	margin-bottom: 1ex;
}

#search_url_component_input {
	width: 85%;
}

#search_url_component_input  > input {
	width: 40%;
}

.renderjson a              { text-decoration: none; }
.renderjson .disclosure    { color: black;
                             font-size: 150%; }
.renderjson .disclosure:hover { color: crimson;}
.renderjson .syntax        { color: grey; }
.renderjson .string        { color: pink; }
.renderjson .number        { color: lightblue; }
.renderjson .boolean       { color: purple; }
.renderjson .key           { color: yellow; }
.renderjson .key:hover           { background-color: var(--foreground); }
.renderjson .keyword       { color: white; }
.renderjson .object.syntax { color: white; }
.renderjson .array.syntax  { color: white; }
#container{
    text-shadow: none;
    background: #303030;
    padding: 1em;
}
.label_v_src {
	width: max-content;
}
.general_control {
	display: inline-block;
	width: 100%;
}
.anim_btn{
	display: inline-block;
	padding: 6px 10px;
	font-size: 24px;
	cursor: pointer;
	text-align: center;
	text-decoration: none;
	outline: none;
	/*border: none;*/
	border-radius: 8px;
	width: 20%;
	min-width: max-content;
	background-color: var(--a-color);
	box-shadow: 2px 5px var(--mp-other-gray);
	border: 1px solid var(--background);
	color: var(--background);
}
.anim_btn:active {
	background-color: var(--turquoise-background);
	box-shadow: 2px 2px var(--mp-gray);
	transform: translateY(4px);
}